Folks.IndividualAggregator.remove_persona – folks Reference Manual

# remove_persona

## Description:

public async void remove_persona (Persona persona) throws Error

Completely remove the persona from its backing store.

This will leave other personas in the same individual alone.

This method is safe to call multiple times concurrently (for the same persona or different personas).

## Parameters:

persona | the Persona to remove

## Exceptions:

GLib.Error | if removing the persona failed — this will be passed through from PersonaStore.remove_persona

## Since:

0.1.11